package com.biganto.visual.roompark.di.koin

import com.biganto.visual.roompark.base.RoomParkApplication
import com.biganto.visual.roompark.base.RoomParkMainActivity
import org.koin.android.ext.koin.androidContext
import org.koin.android.ext.koin.androidLogger
import org.koin.core.context.startKoin
import org.koin.core.qualifier.named
import org.koin.dsl.module

/**
 * Created by Vladislav Bogdashkin on 03.09.2019.
 */


fun RoomParkApplication.initDI(){
    startKoin {
        androidLogger()
        androidContext(this@initDI)
        modules(listOf(appModule, scopesModule))
    }
}

val appModule = module{

}

val scopesModule = module {
    scope(named<RoomParkMainActivity>()){
        scoped { StartUpData("ja pesik!") }
    }
}

data class StartUpData(val helloText:String)
